Inactive [DEV] SpoutPlugin - Unleash the flow of endless possibilities [1.0-1.3.2]

Discussion in 'Inactive/Unsupported Plugins' started by SpoutDev, Aug 1, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    SpoutDev

    In order to centralize support of our legacy projects, we will no longer be providing support on Bukkit. Please use www.spout.org for support with our projects going forward.
     
  2. Offline

    Arthius

    Hey, I have a slight issue. I use spoutcraft on my server, mainly for the extra GUI, but I can't put my mods on it. Are mods supposed to go in addons?And if so, how?
     
  3. Offline

    Wulfspider

    It's not compatible with just any mod. We provide the API for developers to make Spoutcraft addons/plugins. You can't use most regular mods with Spoutcraft.
     
  4. Offline

    Arthius

    :(

    Is there at least a way i can mess with the files so I can just see the mcmmo GUI on my minecraft?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  5. Offline

    Wulfspider

    Mess with what files? You cannot easily gut part of the client to just display mcMMO GUI. It's not that simple.
     
  6. Offline

    elias79

    I know right but it reality, when i try to allocate 4 gigabytes when i only have 3 of 8 free.
     
  7. Offline

    DilltheThrill

    Basically after I login it asks me to update and I click no, it then says Spoutcraft failed to launch.
     
  8. Offline

    RaesWolf

  9. Offline

    TopGear93

    @Wulfspider im unable to create any spout related plugins. Eclipse is throwing this error when using SpoutPluginAPI as a external build path

    Code:
    Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    An exception stack trace is not available.
    Code:
    
    !ENTRY org.eclipse.jdt.core 4 0 2011-12-23 23:32:47.688
    !MESSAGE Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    
    !ENTRY org.eclipse.jdt.core 4 0 2011-12-23 23:35:32.448
    !MESSAGE Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    
    !ENTRY org.eclipse.jdt.core 4 0 2011-12-23 23:45:39.427
    !MESSAGE Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    
    !ENTRY org.eclipse.jdt.core 4 0 2011-12-23 23:45:43.638
    !MESSAGE Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    
    !ENTRY org.eclipse.jdt.core 4 0 2011-12-23 23:47:06.397
    !MESSAGE Invalid ZIP archive: C:\Users\William\Downloads\SpoutPluginAPI.jar
    
     
  10. Offline

    Wulfspider

    Sounds like you don't actually have the full jar then. I suggest re-downloading.

    As I said, you likely have some security software that is blocking our launcher from downloading what is needed. Try disabling temporarily or adding an exception for it. You may need to run "Clear Cache" under the launcher options before attempting to login after doing so to start with a clean slate.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  11. Offline

    DilltheThrill

    I actually don't run any anti virus or security software
     
  12. Offline

    Wulfspider

    Okay, so why didn't you do the update? If you don't want to updates to be done, then I suggest manually selecting a build under the options.

    Could you check your .spoutcraft/bin folder and tell me what jars are listed in there.
     
  13. Offline

    DilltheThrill

    I didn't do the update because it stops at 98% when downloading the second thing. jinput,jar lwjgl.jar lwjgl_util.jar minecraft.jar spoutcraft.jar
     
  14. Offline

    Wulfspider

    Well, you're missing all the libraries somehow.
    https://github.com/SpoutDev/Spoutcraft/tree/master/lib
     
  15. Offline

    DilltheThrill

  16. Offline

    Wulfspider

    All of those are supposed to be in the bin folder as well. The launcher downloads those when you use it and renames them without the -version.
     
  17. Offline

    jinS

    Code:
    19:05:32 [심각] Could not load 'plugins\Spoutcraft.jar' in folder 'plugins':
    java.io.FileNotFoundException: Jar does not contain plugin.yml
            at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.j
    ava:66)
            at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.
    java:215)
            at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
    .java:136)
            at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:151)
            at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:127)
            at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigur
    ationManager.java:52)
            at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:145)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    what's this error?
     
  18. Offline

    Wulfspider

    You put our client launcher into your plugins folder. http://spout.in/plugin is what you want.

    What build of SpoutPlugin are you using? Have you tried the latest development build of it as well? http://spout.in/plugindev

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  19. Offline

    jinS

    Code:
    19:24:08 [심각] Error occurred while enabling Spout v644 (Is it up to date?): tr
    ied to access class org.getspout.spout.Spout$1 from class org.getspout.spout.Spo
    ut
    java.lang.IllegalAccessError: tried to access class org.getspout.spout.Spout$1 f
    rom class org.getspout.spout.Spout
            at org.getspout.spout.Spout.onEnable(Spout.java:189)
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:188)
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    .java:968)
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    r.java:280)
            at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:186)
            at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:169
    )
            at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:128)
            at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigur
    ationManager.java:52)
            at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:145)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    19:24:08 [심각] Error occurred while enabling Spout v644 (Is it up to date?): or
    g/getspout/spout/Spout$1
    java.lang.IllegalAccessError: org/getspout/spout/Spout$1
            at org.getspout.spout.Spout.onEnable(Spout.java:189)
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:188)
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    .java:968)
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    r.java:280)
            at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:186)
            at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:169
    )
            at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:128)
            at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigur
    ationManager.java:52)
            at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:145)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    this is your http://spout.in/plugin site
     
  20. Offline

    Wulfspider

    What build of CraftBukkit are you using? You should be on build 1597 (1.0.1-R1).
     
  21. Offline

    elias79

    Wulfspider likes this.
  22. Offline

    jinS

    Yes sure..!
     
  23. Offline

    L5D

    Code:
    2011-12-24 13:21:32 [SEVERE] Could not load 'plugins/PvPExtended.jar' in folder 'plugins':
    java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:525)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:175)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:215)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:136)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:151)
        at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:127)
        at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigurationManager.java:52)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:145)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    Caused by: java.lang.NoClassDefFoundError: org/getspout/spoutapi/event/inventory/InventoryListener
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:787)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:447)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:36)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:24)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:356)
        at l5d.pvpextended.PvPExtended.<init>(PvPExtended.java:13)
        ... 13 more
    Caused by: java.lang.ClassNotFoundException: org.getspout.spoutapi.event.inventory.InventoryListener
        at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:36)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:24)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:356)
        ... 27 more
    Spout version : 644
    Craftbukkit version git-Bukkit-1.0.1-R1-b1597jnks (MC: 1.0.1) (Implementing API version 1.0.1-R1)
     
  24. Offline

    Wulfspider

    Does the plugin have depend: [Spout] in its plugin.yml inside the jar?
     
  25. Offline

    L5D

    You're right, problem solved, Thank you !!
     
  26. Offline

    jinS

    Then it does
    Code:
    01:53:14 [심각] Could not load 'plugins\Spoutcraft.jar' in folder 'plugins':
    java.io.FileNotFoundException: Jar does not contain plugin.yml
            at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.j
    ava:66)
            at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.
    java:215)
            at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
    .java:136)
            at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:151)
            at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:127)
            at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigur
    ationManager.java:52)
            at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:145)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    hm.. this is spoutcraft
     
  27. Offline

    Wulfspider

    That does not go in your plugins folder, I told you that above already.
     
  28. Offline

    jinS

    but this is spoutcraft..! Did you ever went wrong ..!
     
  29. Offline

    Wulfspider

    Spoutcraft is the client, not a plugin. SpoutPlugin is the plugin. http://spout.in/plugin
     
  30. Offline

    jinS

    A~ sorry very sorry
    Sorry to bother you.
     
  31. Offline

    Wulfspider

    No problem. :)
     
Thread Status:
Not open for further replies.

Share This Page